Bug 804475 - sdb patches applied in wrong order
sdb patches applied in wrong order
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 22:04 EDT by Henrik Nordström
Modified: 2013-04-30 19:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: bind-9.9.0-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 19:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Nordström 2012-03-18 22:04:19 EDT
The sdb patches need to be applied last or else there is a risk that other patches is missing from the named-sdb binary.

Currently this is the case for the patch for Bug #693982 which changes bin/named/server.c only in standard named but not named-sdb, but may bite far more important patches in future if the spec is not rearranged to clearly indicate that the sdb patch need to be applied last.

There is a fairly long list of patches applied after the sdb patches today, but thankfully only the above mentioned patch changes files in bin/named/
Comment 1 Fedora Update System 2012-04-24 09:16:26 EDT
bind-9.9.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bind-9.9.0-4.fc17
Comment 2 Fedora Update System 2012-04-25 00:46:59 EDT
Package bind-9.9.0-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bind-9.9.0-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6587/bind-9.9.0-4.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-05-04 19:03:33 EDT
bind-9.9.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.